Bug 532377 - [abrt] crash detected in nspluginwrapper-1.3.0-8.fc12
Summary: [abrt] crash detected in nspluginwrapper-1.3.0-8.fc12
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:be9b7d3c4dcc2cf7b5f00c30219...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-01 23:08 UTC by Ví­ctor Daniel
Modified: 2018-04-11 13:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 03:33:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.94 KB, text/plain)
2009-11-01 23:08 UTC, Ví­ctor Daniel
no flags Details

Description Ví­ctor Daniel 2009-11-01 23:08:05 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Comment
-----
Forever Loop.
High CPU Usage

Additional information
======


Attached files
----
backtrace

cmdline
-----
/usr/lib/nspluginwrapper/npviewer.bin --plugin /usr/lib/mozilla/plugins/libflashplayer.so --connection /org/wrapper/NSPlugins/libflashplayer.so/15224-1 


component
-----
nspluginwrapper


executable
-----
/usr/lib/nspluginwrapper/npviewer.bin


kernel
-----
2.6.31.5-96.fc12.i686


package
-----
nspluginwrapper-1.3.0-8.fc12


reason
-----
Process was terminated by signal 11

Comment 1 Ví­ctor Daniel 2009-11-01 23:08:07 UTC
Created attachment 367052 [details]
File: backtrace

Comment 2 Matěj Cepl 2009-11-06 16:46:24 UTC
Thread 1 (Thread 15349):
#0  0x00506e3e in __libc_malloc (bytes=14) at malloc.c:3657
        ignore1 = <value optimized out>
        ignore2 = 1
        ar_ptr = 0x60c380
        victim = <value optimized out>
        __func__ = "__libc_malloc"
#1  0x05c416b5 in IA__g_malloc (n_bytes=<value optimized out>) at gmem.c:131
        mem = <value optimized out>
#2  0x05c5bcfe in IA__g_strjoinv (separator=<value optimized out>, 
    str_array=<value optimized out>) at gstrfuncs.c:2641
        i = 1
        len = <value optimized out>
        separator_len = <value optimized out>
        string = <value optimized out>
        ptr = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_strjoinv"
#3  0x00bd40d6 in pango_font_description_from_string (
    str=<value optimized out>) at fonts.c:1164
        i = <value optimized out>
        families = 0x8dc6c70
        desc = 0x8d9faa0
        p = <value optimized out>
        last = <value optimized out>
        len = <value optimized out>
        wordlen = 6
        __PRETTY_FUNCTION__ = "pango_font_description_from_string"
#4  0x0575f755 in _gtk_style_init_for_settings (style=<value optimized out>, 
    settings=<value optimized out>) at gtkstyle.c:389
        font_name = 0x8d67320 "Lucida Grande Medium 10"

Comment 3 Behdad Esfahbod 2009-11-11 21:45:22 UTC
Crash in malloc() is hardly pango's fault.  Not mine.

Comment 4 Matěj Cepl 2009-11-16 10:40:57 UTC
Either pango or flash. Reassigning for further decision.

Comment 5 Bug Zapper 2009-11-16 14:51:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Behdad Esfahbod 2009-11-16 17:45:23 UTC
Matej, I already said I can't do anything about this.

Comment 7 Bug Zapper 2010-11-04 06:53:53 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-04 03:33:32 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.